sc::VWNLCFunctional(3)

NAME
sc::VWNLCFunctional -

An abstract base class from which the various VWN (Vosko, Wilk and Nusair) local correlation functional (1, 2, 3, 4, 5) classes are derived'.

SYNOPSIS

#include <functional.h>

Inherits sc::LSDACFunctional'.

Inherited by sc::VWN1LCFunctional, sc::VWN2LCFunctional, sc::VWN3LCFunctional, sc::VWN4LCFunctional, and sc::VWN5LCFunctional'.

  Public Member Functions
VWNLCFunctional (const Ref< KeyVal > &)
VWNLCFunctional (StateIn &)
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them'.
virtual void point_lc (const PointInputData &, PointOutputData &, double &, double &, double &)

  Protected Member Functions
void init_constants ()
double F (double x, double A, double x0, double b, double c)
double dFdr_s (double x, double A, double x0, double b, double c)

  Protected Attributes
double Ap_
double Af_
double A_alpha_
double x0p_mc_
double bp_mc_
double cp_mc_
double x0f_mc_
double bf_mc_
double cf_mc_
double x0p_rpa_
double bp_rpa_
double cp_rpa_
double x0f_rpa_
double bf_rpa_
double cf_rpa_
double x0_alpha_mc_
double b_alpha_mc_
double c_alpha_mc_
double x0_alpha_rpa_
double b_alpha_rpa_
double c_alpha_rpa_

Detailed Description

An abstract base class from which the various VWN (Vosko, Wilk and Nusair) local correlation functional (1, 2, 3, 4, 5) classes are derived'. S'. H'. Vosko, L'. Wilk, and M'. Nusair, Can'. J'. Phys'., 58, pp'. 1200-1211, 1980'.

Member Function Documentation

  void sc::VWNLCFunctional::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them'. This must be implemented by the derived class if the class has data'.

Reimplemented from sc::LSDACFunctional'.

Reimplemented in sc::VWN5LCFunctional, sc::VWN4LCFunctional, sc::VWN3LCFunctional, sc::VWN2LCFunctional, and sc::VWN1LCFunctional'.

Author

Generated automatically by Doxygen for MPQC from the source code'.